[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Neon.3 Update Problems: To Fix and How to Fix?

Hi,

The original thread is fractured into many threads so its kind of impossible to follow each thread with a reply but I'll try at the bottom of this note, i.e., below the ===========

But before doing that, I'd like to re-focus on the most important questions: We currently have a problem with Neon.3, will we fix it, and if so how will we fix it?

The discussion has quickly digressed (constructively) into solving the issue of how Orbit dependencies should be managed by projects and by the release train. Unfortunately I see this as a world hunger issue; not one that is easily addressed and I believe not one we can wait for in order to solve the Neon.3 problem. Let's face it, we've not been able to produce a proper Oxygen milestone in months, we still don't have one now, and we won't have one until next month, we hope.Â

For Neon we've done three maintenance releases. Neon.1 needed a respin and Neon.3 looks to be in need of the same thing. Clearly something is seriously wrong. But if we spend our time on solving the Orbit world hunger issue, will we arrive at a solution in time for Oxygen, let alone in time to fix Neon.3? I am very, very doubtful.

As another data point, if I install the egg-laying-wool-milk-pig for Neon.3. The following happens. I'm prompted to accept this license:

Red Hat, Inc. licenses these features and plugins to you under certain open source licenses (or aggregations of such licenses), which in a particular case may include the Eclipse Public License, the GNU Lesser General Public License, and/or certain other open source licenses. For precise licensing details, consult the corresponding source code, or contact Red Hat, Attn: General Counsel, 100 East Davie St., Raleigh NC 27601 USA.

I'm not sure how this license slipped into the release train. Aren't there checks for this? (Sorry to digress, but this is also unacceptable.)

Launching the final installation comes up like this:

Clearly a disgusting mess, but I've mentioned that before and the same projects are still doing the same bad things, so we clearly all accept this situation as normal.

The most important point here is the error log (first attachment) is full of exactly the problem indications (bundle wiring problems) we should have expected from the Neon.3 repository's contents, if someone were to install an arbitrary combination of the repository's contents. It's really not so hard to test this!

If I create the same installation with my local build of the Oomph 1.8 installer---which installs my locally built version of Oomph 1.8 so the Oomph setup plugins are no longer disabled because I made the userstorage dependency optional and eliminated the strict <=4.4 upper bound constraints on httpclient, which was such a bad idea I can almost have a canary to think this done to solve a problem with no anticipation of the problems it would cause---then I can visit all the preference pages producing the second attached much larger log. It seems clear that proper testing really doesn't happen for far too many projects on the train. With distributed responsibility, no one is really responsible...

==================================

Orbit Issues

1) Respinning Linux Tools against Oxygen Mx seems to miss the point that we should only distribute released versions of bundles, so no Neon build should redistribute any unreleased version of anything. If a new version of something is needed for security reasons or other reasons, it should be released first. And doing that in a maintenance train without testing the overall impact is clearly something we should never do again (without waving a bunch of red flags of warning). And as Martin Oberhuber asks, is nothing in place to check for this? So suppose we do respin with a fixed released version, like what we have for Oxygen M6, then most likely we'd still have the problems we have in Oxygen M6 so we'd need a fix to the resolver in Neon. Better would seem to respin with the old version(s) of the Orbit bundles, but somehow we can never delete the broken version from Neon and because it has a higher version number is likely to slip back in unexpected (though hopefully not, given that features have pinned their bundle versions).

2) Don't include Orbit bundles in your project's features. Sounds like a great idea, but begs endless questions, and while solving a problem might well introduce more new problems than it solves. The first question (as Carsten points out) is how do these things end up in a repository, and if they are in a repository somehow, how are they categorized? It's hard to get them in and once you do, they're categorized poorly. The next question is, how do they end up in the release train, if the projects that need them don't contribute them?  Directly from Orbit you say? But which ones should be pulled in from Orbit and how is that discovered? Are those the ones the projects have tested against? Then there is the question of whether an installation is deterministic if the bundle version isn't pinned? It's not; it will depend on what's in the repos that are available at resolve time. But Gunnar argues that even packages are not deterministic, which I think is false: if the feature pins the bundle version and the package requires the feature, then the pinned bundle is definitely in that package. But regardless, Gunnar's important point is that the runtime wiring seems kind of non-determinstic, and while uses constraints might help, who the heck understands those well, what tooling produces it correctly for us, is that nicely integrated in PDE, and will it be properly maintained (in contrast to lower bound constraints which you can pretty expect will remain on whatever stale version they were initially set to). This may well be the right direction in which to go, but getting there isn't going to be even half the fun...

Regards,
Ed



PNG image

!SESSION 2017-03-31 08:53:22.782 -----------------------------------------------
eclipse.buildId=4.6.3.M20170301-0400
java.version=1.8.0_112
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 08:55:37.358
!MESSAGE Could not bind a reference of component org.eclipse.ecf.mgmt.rsa.discovery.ui.discovery. The reference is: Reference[name = RemoteServiceAdmin, interface = org.osgi.service.remoteserviceadmin.RemoteServiceAdmin, policy = dynamic, cardinality = 0..1, target = null, bind = bindRemoteServiceAdmin, unbind = unbindRemoteServiceAdmin]

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 08:55:37.359
!MESSAGE Could not bind a reference of component org.eclipse.ecf.mgmt.rsa.discovery.ui.discovery. The reference is: Reference[name = IEndpointDescriptionLocator, interface = org.eclipse.ecf.osgi.services.remoteserviceadmin.IEndpointDescriptionLocator, policy = dynamic, cardinality = 0..1, target = null, bind = bindEndpointDescriptionLocator, unbind = unbindEndpointDescriptionLocator]

!ENTRY org.eclipse.emf.compare.diagram.ide.ui.papyrus 4 0 2017-03-31 08:55:38.671
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.emf.compare.diagram.ide.ui.papyrus [917]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"]
    import: (&(osgi.wiring.package=com.google.common.base)(&(version>=11.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]

Chain 2:
  org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.papyrus.uml.diagram.common)(bundle-version>=0.9.1))
     |
    provide: osgi.wiring.bundle: org.eclipse.papyrus.uml.diagram.common
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.emf.compare.uml2.edit.papyrus 4 0 2017-03-31 08:55:38.687
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.emf.compare.uml2.edit.papyrus [931]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"]
    import: (&(osgi.wiring.package=com.google.common.base)(&(version>=11.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]

Chain 2:
  org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"]
    require: (osgi.wiring.bundle=org.eclipse.papyrus.uml.tools.utils)
     |
    provide: osgi.wiring.bundle: org.eclipse.papyrus.uml.tools.utils
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.epp.mpc.core 4 0 2017-03-31 08:55:38.872
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.epp.mpc.core [1280]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3418]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"] because it is exposed to package 'org.apache.http.auth' from resources org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.5.2.v20161115-1643"] and org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"] via two dependency chains.

Chain 1:
  org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(version>=4.3.0))
     |
    export: osgi.wiring.package: org.apache.http.auth
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.5.2.v20161115-1643"]

Chain 2:
  org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"]
    import: (&(osgi.wiring.package=org.apache.http.client.fluent)(version>=4.3.0))
     |
    export: osgi.wiring.package: org.apache.http.client.fluent; uses:=org.apache.http.auth
    export: osgi.wiring.package=org.apache.http.auth
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.epp.mpc.ui 4 0 2017-03-31 08:55:39.024
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.epp.mpc.ui [1282]
  Unresolved requirement: Require-Bundle: org.eclipse.epp.mpc.core; bundle-version="1.5.4"
    -> Bundle-SymbolicName: org.eclipse.epp.mpc.core; bundle-version="1.5.4.v20170222-1921"; singleton:="true"
       org.eclipse.epp.mpc.core [1280]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
              org.eclipse.userstorage [3418]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.userstorage.ui; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage.ui; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage.ui [3419]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"] because it is exposed to package 'org.apache.http.auth' from resources org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.5.2.v20161115-1643"] and org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"] via two dependency chains.

Chain 1:
  org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(version>=4.3.0))
     |
    export: osgi.wiring.package: org.apache.http.auth
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.5.2.v20161115-1643"]

Chain 2:
  org.eclipse.epp.mpc.core [osgi.identity; osgi.identity="org.eclipse.epp.mpc.core"; type="osgi.bundle"; version:Version="1.5.4.v20170222-1921"; singleton:="true"]
    import: (&(osgi.wiring.package=org.apache.http.client.fluent)(version>=4.3.0))
     |
    export: osgi.wiring.package: org.apache.http.client.fluent; uses:=org.apache.http.auth
    export: osgi.wiring.package=org.apache.http.auth
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.gef4.dot.ui 4 0 2017-03-31 08:55:39.178
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.gef4.dot.ui [1391]
  Unresolved requirement: Require-Bundle: org.eclipse.gef4.dot; bundle-version="[1.0.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.gef4.dot; bundle-version="1.0.1.201609060946"; singleton:="true"
       org.eclipse.gef4.dot [1388]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] via two dependency chains.

Chain 1:
  org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.xtext.ui)(&(bundle-version>=2.7.3)(!(bundle-version>=3.0.0))))
     |
    provide: osgi.wiring.bundle: org.eclipse.xtext.ui
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]

Chain 2:
  org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.gef4.common)(&(bundle-version>=1.0.0)(!(bundle-version>=2.0.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="1.1.0.201609060946"; osgi.wiring.bundle="org.eclipse.gef4.common"
  org.eclipse.gef4.common [osgi.identity; osgi.identity="org.eclipse.gef4.common"; type="osgi.bundle"; version:Version="1.1.0.201609060946"]
    import: (&(osgi.wiring.package=com.google.common.reflect)(&(version>=12.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.reflect; uses:=com.google.common.base
    export: osgi.wiring.package=com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.core 4 0 2017-03-31 08:55:39.255
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.core [2265]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.editor 4 0 2017-03-31 08:55:39.271
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.editor [2268]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.sync; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.sync; bundle-version="1.7.0.v20170201-1631"; singleton:="true"
       org.eclipse.oomph.setup.sync [2288]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
              org.eclipse.userstorage [3418]
                No resolution report for the bundle.         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
              org.eclipse.oomph.setup.core [2265]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.ui; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.ui; bundle-version="1.7.0.v20170305-1123"; singleton:="true"
       org.eclipse.oomph.setup.ui [2291]
         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.sync; bundle-version="[1.7.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.sync; bundle-version="1.7.0.v20170201-1631"; singleton:="true"
         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage.ui; bundle-version="[1.0.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage.ui; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
              org.eclipse.userstorage.ui [3419]
                Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
                  -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.projects 4 0 2017-03-31 08:55:39.283
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.projects [2283]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
       org.eclipse.oomph.setup.core [2265]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.projects.edit 4 0 2017-03-31 08:55:39.297
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.projects.edit [2284]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.projects; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.projects; bundle-version="1.7.0.v20170104-1401"; singleton:="true"
       org.eclipse.oomph.setup.projects [2283]
         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
              org.eclipse.oomph.setup.core [2265]
                No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.sync 4 0 2017-03-31 08:55:39.309
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.sync [2288]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3418]
         No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
       org.eclipse.oomph.setup.core [2265]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.oomph.setup.sync [osgi.identity; osgi.identity="org.eclipse.oomph.setup.sync"; type="osgi.bundle"; version:Version="1.7.0.v20170201-1631"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.oomph.setup.sync [osgi.identity; osgi.identity="org.eclipse.oomph.setup.sync"; type="osgi.bundle"; version:Version="1.7.0.v20170201-1631"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.oomph.setup.sync [osgi.identity; osgi.identity="org.eclipse.oomph.setup.sync"; type="osgi.bundle"; version:Version="1.7.0.v20170201-1631"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.ui 4 0 2017-03-31 08:55:39.325
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.ui [2291]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.sync; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.sync; bundle-version="1.7.0.v20170201-1631"; singleton:="true"
       org.eclipse.oomph.setup.sync [2288]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
              org.eclipse.userstorage [3418]
                No resolution report for the bundle.         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
              org.eclipse.oomph.setup.core [2265]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage.ui; bundle-version="[1.0.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage.ui; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage.ui [3419]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.ui.ide 4 0 2017-03-31 08:55:39.339
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.ui.ide [2292]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
       org.eclipse.oomph.setup.core [2265]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.oomph.setup.core [osgi.identity; osgi.identity="org.eclipse.oomph.setup.core"; type="osgi.bundle"; version:Version="1.7.0.v20170316-0709"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.oomph.setup.ui.questionnaire 4 0 2017-03-31 08:55:39.353
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.oomph.setup.ui.questionnaire [2293]
  Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.ui; bundle-version="[1.7.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.oomph.setup.ui; bundle-version="1.7.0.v20170305-1123"; singleton:="true"
       org.eclipse.oomph.setup.ui [2291]
         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.sync; bundle-version="[1.7.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.sync; bundle-version="1.7.0.v20170201-1631"; singleton:="true"
              org.eclipse.oomph.setup.sync [2288]
                Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"
                  -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
                     org.eclipse.userstorage [3418]
                       No resolution report for the bundle.                Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
                  -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
                     org.eclipse.oomph.setup.core [2265]
                       No resolution report for the bundle.         Unresolved requirement: Require-Bundle: org.eclipse.oomph.setup.core; bundle-version="[1.7.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.oomph.setup.core; bundle-version="1.7.0.v20170316-0709"; singleton:="true"
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage.ui; bundle-version="[1.0.0,2.0.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage.ui; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
              org.eclipse.userstorage.ui [3419]
                Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
                  -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.apidocs.rcp 4 0 2017-03-31 08:55:39.400
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.apidocs.rcp [2910]
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models.rcp; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models.rcp; bundle-version="2.4.6.v20170307-1041"; singleton:="true"
       org.eclipse.recommenders.models.rcp [2924]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
              org.eclipse.recommenders.models [2923]
                Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
                  -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
                     org.eclipse.aether.transport.http [187]
                       No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.apidocs; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.apidocs; bundle-version="2.4.6.v20170307-1041"
       org.eclipse.recommenders.apidocs [2909]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.models 4 0 2017-03-31 08:55:39.413
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.models [2923]
  Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
    -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
       org.eclipse.aether.transport.http [187]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.snipmatch.rcp 4 0 2017-03-31 08:55:39.454
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.snipmatch.rcp [2935]
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models.rcp; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models.rcp; bundle-version="2.4.6.v20170307-1041"; singleton:="true"
       org.eclipse.recommenders.models.rcp [2924]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
              org.eclipse.recommenders.models [2923]
                Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
                  -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
                     org.eclipse.aether.transport.http [187]
                       No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.android.core 4 0 2017-03-31 08:55:39.516
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.android.core [3317]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3319]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.android.ui 4 0 2017-03-31 08:55:39.530
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.android.ui [3318]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.android.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.android.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.android.core [3317]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
              org.eclipse.thym.core [3319]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.thym.ui; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.ui; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.ui [3320]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.core 4 0 2017-03-31 08:55:39.542
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.core [3319]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.ui 4 0 2017-03-31 08:55:39.556
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.ui [3320]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3319]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.wp.core 4 0 2017-03-31 08:55:39.567
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.wp.core [3321]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3319]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.wp.ui 4 0 2017-03-31 08:55:39.582
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.wp.ui [3322]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.wp.core
    -> Bundle-SymbolicName: org.eclipse.thym.wp.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.wp.core [3321]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
              org.eclipse.thym.core [3319]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.thym.ui
    -> Bundle-SymbolicName: org.eclipse.thym.ui; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.ui [3320]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.userstorage 4 0 2017-03-31 08:55:39.664
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.userstorage [3418]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.userstorage.ui 4 0 2017-03-31 08:55:39.673
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.userstorage.ui [3419]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3418]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.emf.ecore 2 0 2017-03-31 08:56:04.615
!MESSAGE Both 'org.eclipse.bpmn2' and 'org.eclipse.papyrus.infra.core.sashwindows.di' register an extension parser for 'di'

!ENTRY org.eclipse.emf.ecore 2 0 2017-03-31 08:56:04.615
!MESSAGE Both 'org.eclipse.fx.ide.css.ui' and 'org.eclipse.papyrus.infra.gmfdiag.css3.xtext.ui' register an extension parser for 'css'

!ENTRY org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE Keybinding conflicts occurred.  They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+SHIFT+C:
Binding(CTRL+SHIFT+C,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand,&Connect to AUT Agent,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7e37bf,
		[Parameter(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand.parameter.name,autagent.name,null,false), Parameter(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand.parameter.port,autagent.port,null,false)],,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+C,
	ParameterizedCommand(Command(org.eclipse.tcf.te.tcf.ui.toolbar.command.select,Select Default Connection...,
		Select a default connection,
		Category(org.eclipse.tcf.te.ui.commands.category,Target Explorer Commands,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@31d51325,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for ALT+C:
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableschemaeditor.copycolumn,Copy,
		,
		Category(org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableschemaedtor.10x,ASA 9.x table schema editor,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@728ae6e6,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.emf.emfstore.client.ui.commitProject,commit,
		,
		Category(org.eclipse.emf.emfstore.client.ui.project,ECP,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@1c4ba8a0,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.newComment,New Comment,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6df9a759,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for ALT+SHIFT+D R:
Binding(ALT+SHIFT+D R,
	ParameterizedCommand(Command(org.eclipse.rap.tools.launch.RAPLaunchShortcut.debug,Debug RAP Application,
		Debug RAP Application,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@51b4a84d,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+SHIFT+D R,
	ParameterizedCommand(Command(org.eclipse.wst.server.launchShortcut.debug,Debug on Server,
		Debug the current selection on a server,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@10fb1473,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+ARROW_LEFT:
Binding(CTRL+ARROW_LEFT,
	ParameterizedCommand(Command(org.eclipse.amalgam.explorer.contextual.core.ui.backwardNavigation,Navigate Back in Contextual Explorer,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@3098aa5a,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+ARROW_LEFT,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@22c972ac,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@b9d38abd]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+6:
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.egerrit.dashboard.ui.fixupTableDefault,Fixup Table Default layout,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@564b5078,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.dialogAndWindow,,,system)
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.emf.ecp.cdo.ui.checkinCommand,Checkin,
		,
		Category(org.eclipse.emf.ecp.cdo.ui.commands,ECP CDO Provider,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@1e5b9e4e,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.jubula.client.alm.ui.commands.createTaskCommand,Create a Mylyn task,
		,
		Category(org.eclipse.jubula.client.alm.ui.commands.category,Mylyn tasks,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6b643da5,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+L:
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.ecf.discovery.ui.userinput.commands.manualLookupCommand,Lookup Service,
		,
		Category(org.eclipse.ecf.discovery.ui.userinput.commands.category,Discovery Category,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@2d17e77,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.StopSuiteCommand,Stop Test Execution,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@e9536c5,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.rcptt.ui.actions.goto.line,Goto Line,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4c7e70b7,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for ALT+CTRL+P:
Binding(ALT+CTRL+P,
	ParameterizedCommand(Command(org.eclipse.linuxtools.changelog.core.preparechangelog,Prepare Changelog,
		Prepares Changelog,
		Category(org.eclipse.linuxtools.changelog,Changelog,Changelog key bindings,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6bde588,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+P,
	ParameterizedCommand(Command(org.eclipse.m2e.profiles.ui.commands.selectMavenProfileCommand,Select Maven Profiles,
		,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@f9601ee,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for ALT+CTRL+T:
Binding(ALT+CTRL+T,
	ParameterizedCommand(Command(org.eclipse.team.svn.ui.command.EditPropertiesCommand,Show Properties,
		,
		Category(org.eclipse.team.svn.ui.command.category,SVN,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@28123dc7,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+T,
	ParameterizedCommand(Command(org.eclipse.tm.terminal.connector.local.command.launch,Open Local Terminal on Selection,
		,
		Category(org.eclipse.tm.terminal.view.ui.commands.category,Terminal Commands,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@17561bba,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+SHIFT+TAB:
Binding(CTRL+SHIFT+TAB,
	ParameterizedCommand(Command(org.eclipse.papyrus.editor.previousTabCommand,Previous Tab,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7e2e2d7d,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+TAB,
	ParameterizedCommand(Command(org.eclipse.ui.window.previousEditor,Previous Editor,
		Switch to the previous editor,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4108da27,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+TAB:
Binding(CTRL+TAB,
	ParameterizedCommand(Command(org.eclipse.papyrus.editor.nextTabCommand,Next Tab,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@78cd2bc4,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+TAB,
	ParameterizedCommand(Command(org.eclipse.ui.window.nextEditor,Next Editor,
		Switch to the next editor,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5fe164ac,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+7:
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.egerrit.internal.ui.editors.showNextPatchSet,Go to the next patchset,
		,
		Category(org.eclipse.compare.ui.category.compare,Compare,Compare command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@502bffe8,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ToggleActiveStatus,Set as active / inactive,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@57f5ce28,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.ptp.etfw.feedback.actions.commands.perfsuiteCommand,Display PerfSuite Feedback,
		,
		Category(org.eclipse.ptp.etfw.feedback.actions.commands.category,PerfSuite Feedback View,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@46775c19,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for SHIFT+F9:
Binding(SHIFT+F9,
	ParameterizedCommand(Command(org.eclipse.cdt.make.ui.targetBuildCommand,Build Target Build,
		Invoke a make target build for the selected container.,
		Category(org.eclipse.ui.category.project,Project,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@1267947f,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(SHIFT+F9,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ShowFromClipboard,Open Element from Clipboard,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@1dbced64,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for ALT+CTRL+S:
Binding(ALT+CTRL+S,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.commands.SaveImageAs,Save Image &As...,
		,
		Category(org.eclipse.jubula.client.ui.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@64c1f475,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+S,
	ParameterizedCommand(Command(org.eclipse.team.svn.ui.command.SynchronizeCommand,Synchronize with Repository,
		,
		Category(org.eclipse.team.svn.ui.command.category,SVN,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@18aafb60,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+SHIFT+P:
Binding(CTRL+SHIFT+P,
	ParameterizedCommand(Command(org.eclipse.ecf.presence.ui.commands.browse,Open Contact,
		,
		Category(org.eclipse.ecf.ui.commands.category,ECF Communications,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@36c04066,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+P,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties,&Properties,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4c6d5c17,
		[Parameter(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties.parameter.sectionToOpen,Section,null,true), Parameter(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties.parameter.innerSectionToOpen,InnerSection,null,true)],,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for F9:
Binding(F9,
	ParameterizedCommand(Command(org.eclipse.cdt.make.ui.targetBuildLastCommand,Rebuild Last Target,
		Rebuild the last make target for the selected container or project.,
		Category(org.eclipse.ui.category.project,Project,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@27646bb3,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(F9,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.togglePauseOnErrorCommand,Pause on Test Execution Errors,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@68dae5c4,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.096
!MESSAGE A conflict occurred for CTRL+ARROW_RIGHT:
Binding(CTRL+ARROW_RIGHT,
	ParameterizedCommand(Command(org.eclipse.amalgam.explorer.contextual.core.ui.forwardNavigation,Navigate Forward in Contextual Explorer,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5c2d4bc9,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+ARROW_RIGHT,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@22c972ac,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@b84050]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.097
!MESSAGE A conflict occurred for ALT+E:
Binding(ALT+E,
	ParameterizedCommand(Command(org.eclipse.emf.emfstore.client.ui.projectProperties,Project Properties,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7a8639bf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+E,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.editComment,Edit Comment,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7ebbecaf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.097
!MESSAGE A conflict occurred for CTRL+D:
Binding(CTRL+D,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@22c972ac,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@7a24c70]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+D,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.DeleteProject,&Delete...,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4170c279,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 08:56:12.097
!MESSAGE A conflict occurred for ALT+SHIFT+X R:
Binding(ALT+SHIFT+X R,
	ParameterizedCommand(Command(org.eclipse.rap.tools.launch.RAPLaunchShortcut.run,Run RAP Application,
		Run RAP Application,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@77b5aa9d,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+SHIFT+X R,
	ParameterizedCommand(Command(org.eclipse.wst.server.launchShortcut.run,Run on Server,
		Run the current selection on a server,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@3c352e15,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)

!ENTRY org.eclipse.ui 2 2 2017-03-31 08:56:17.562
!MESSAGE Invalid preference category path: org.eclipse.andmore.platform.ui.preference (bundle: org.eclipse.andmore.android, page: org.eclipse.andmore.android.emulator.preferencepage)

!ENTRY org.eclipse.ui 2 2 2017-03-31 08:56:17.562
!MESSAGE Invalid preference category path: org.eclipse.papyrus.infra.properties.ui.propertyview (bundle: org.eclipse.papyrus.uml.properties, page: org.eclipse.papyrus.uml.properties.multiplicityEditorProperties)

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 08:56:41.165
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.arduino.core.descriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 08:56:41.167
!MESSAGE Enablement expression is missing for descriptor type org.eclipse.cdt.debug.core.coreBuildDescriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 08:56:41.168
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.debug.core.coreBuildDescriptorType

!ENTRY org.eclipse.egit.ui 2 0 2017-03-31 08:56:41.478
!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git
user global configuration and to define the default location to store repositories: 'C:\Users\merks'. If this is
not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and
EGit might behave differently since they see different configuration options.
This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

!ENTRY org.eclipse.andmore.ddms 4 0 2017-03-31 08:56:41.597
!MESSAGE DDMS files not found: D:\sandbox\USER-HOME\all-neon\eclipse\platform-tools\adb.exe D:\sandbox\USER-HOME\all-neon\eclipse\platform-tools\hprof-conv.exe D:\sandbox\USER-HOME\all-neon\eclipse\tools\traceview.bat 

!ENTRY org.eclipse.update.configurator 4 0 2017-03-31 08:56:41.763
!MESSAGE Can't find bundle for base name feature, locale en_US

!ENTRY org.eclipse.core.net 4 0 2017-03-31 08:56:43.245
!MESSAGE WinHttp.GetProxyForUrl for pac failed with error 'The proxy auto-configuration script could not be downloaded
' #12167.

!ENTRY org.eclipse.core.net 4 0 2017-03-31 08:56:43.251
!MESSAGE WinHttp.GetProxyForUrl for pac failed with error 'The proxy auto-configuration script could not be downloaded
' #12167.

!ENTRY org.eclipse.core.net 1 0 2017-03-31 08:56:43.537
!MESSAGE System property http.proxyHost is not set but should be 127.0.0.1.

!ENTRY org.eclipse.core.net 1 0 2017-03-31 08:56:43.542
!MESSAGE System property http.proxyPort is not set but should be 8888.

!ENTRY org.eclipse.core.net 1 0 2017-03-31 08:56:43.550
!MESSAGE System property http.proxyHost is not set but should be 127.0.0.1.

!ENTRY org.eclipse.core.net 1 0 2017-03-31 08:56:43.550
!MESSAGE System property http.proxyPort is not set but should be 8888.

!ENTRY org.eclipse.core.resources 4 372 2017-03-31 08:56:44.709
!MESSAGE Resource '/RemoteSystemsTempFiles' is not open.

!ENTRY org.eclipse.ui.workbench 4 2 2017-03-31 08:56:46.401
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.afterIndex(InternalModelIndex.java:101)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.afterIndex(WorkspaceModelIndex.java:325)
	at org.eclipse.papyrus.infra.emf.internal.resource.CrossReferenceIndex.afterIndex(CrossReferenceIndex.java:153)
	at org.eclipse.papyrus.infra.emf.internal.resource.AbstractCrossReferenceIndex.getParentsAsync(AbstractCrossReferenceIndex.java:303)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.getSubunitKind(ControlledUnitLabelDecorator.java:123)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorateFile(ControlledUnitLabelDecorator.java:83)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorate(ControlledUnitLabelDecorator.java:76)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:260)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:100)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:383)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:365)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:367)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:327)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 29 more

!ENTRY org.eclipse.ui 4 4 2017-03-31 08:56:46.411
!MESSAGE Exception in Decorator. The 'Controlled Units' decorator will be disabled.
!SUBENTRY 1 org.eclipse.ui 4 4 2017-03-31 08:56:46.411
!MESSAGE org/objectteams/IBoundBase2
!STACK 0
java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.afterIndex(InternalModelIndex.java:101)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.afterIndex(WorkspaceModelIndex.java:325)
	at org.eclipse.papyrus.infra.emf.internal.resource.CrossReferenceIndex.afterIndex(CrossReferenceIndex.java:153)
	at org.eclipse.papyrus.infra.emf.internal.resource.AbstractCrossReferenceIndex.getParentsAsync(AbstractCrossReferenceIndex.java:303)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.getSubunitKind(ControlledUnitLabelDecorator.java:123)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorateFile(ControlledUnitLabelDecorator.java:83)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorate(ControlledUnitLabelDecorator.java:76)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:260)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:100)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:383)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:365)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:367)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:327)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

!ENTRY org.apache.log4j 2 0 2017-03-31 08:56:46.872
!MESSAGE org.eclipse.xtext.internal.ExtensionResourceServiceProviderRegistryReader  - Both 'org.eclipse.fx.ide.css.ui' and 'org.eclipse.papyrus.infra.gmfdiag.css3.xtext.ui' register a content parser for 'css'


!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 08:56:47.726
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 08:56:48.037
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 08:56:48.043
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.eclipse.ui.workbench 4 2 2017-03-31 08:56:48.515
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".
!STACK 1
org.eclipse.core.runtime.CoreException: Executable extension definition for "class" not found.
	at org.eclipse.core.internal.registry.ConfigurationElement.throwException(ConfigurationElement.java:62)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:222)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:52)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartupRunnable.java:53)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.Workbench$55.run(Workbench.java:2835)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 08:56:48.516
!MESSAGE Executable extension definition for "class" not found.
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 08:56:48.516
!MESSAGE Executable extension definition for "class" not found.

!ENTRY org.eclipse.ui 4 0 2017-03-31 08:56:48.518
!MESSAGE Unable to execute early startup code for the org.eclipse.ui.IStartup extension contributed by the 'org.eclipse.sequoyah.device.framework.wizard' plug-in.
!STACK 1
org.eclipse.core.runtime.CoreException: Executable extension definition for "class" not found.
	at org.eclipse.core.internal.registry.ConfigurationElement.throwException(ConfigurationElement.java:62)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:222)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:52)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartupRunnable.java:53)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.Workbench$55.run(Workbench.java:2835)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 08:56:48.518
!MESSAGE Executable extension definition for "class" not found.

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:01:24.260
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingSwitchSpace2UnderscoreCommand: {org.eclipse.papyrus.infra.nattable.modelexplorer.handlers.NattableQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:01:24.386
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingRemoveSpaceCommand: {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:01:24.407
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingUpperCaseCommand: {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler} vs {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:01:24.460
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingLowerCaseCommand: {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:01:24.496
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingCapitalizeFirstLetterCommand: {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler} vs {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler}

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 09:03:36.436
!MESSAGE Could not bind a reference of component org.eclipse.fx.core.internal.JUtilLoggerFactory. The reference is: Reference[name = registerHandler, interface = java.util.logging.Handler, policy = dynamic, policy-option = greedy, cardinality = 0..n, target = null, bind = registerHandler, unbind = unregisterHandler, updated = null]
!SESSION 2017-03-31 09:52:03.728 -----------------------------------------------
eclipse.buildId=4.6.3.M20170301-0400
java.version=1.8.0_112
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=en_US
Command-line arguments:  -os win32 -ws win32 -arch x86_64

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 09:54:16.891
!MESSAGE Could not bind a reference of component org.eclipse.ecf.mgmt.rsa.discovery.ui.discovery. The reference is: Reference[name = RemoteServiceAdmin, interface = org.osgi.service.remoteserviceadmin.RemoteServiceAdmin, policy = dynamic, cardinality = 0..1, target = null, bind = bindRemoteServiceAdmin, unbind = unbindRemoteServiceAdmin]

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 09:54:16.893
!MESSAGE Could not bind a reference of component org.eclipse.ecf.mgmt.rsa.discovery.ui.discovery. The reference is: Reference[name = IEndpointDescriptionLocator, interface = org.eclipse.ecf.osgi.services.remoteserviceadmin.IEndpointDescriptionLocator, policy = dynamic, cardinality = 0..1, target = null, bind = bindEndpointDescriptionLocator, unbind = unbindEndpointDescriptionLocator]

!ENTRY org.eclipse.emf.compare.diagram.ide.ui.papyrus 4 0 2017-03-31 09:54:18.254
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.emf.compare.diagram.ide.ui.papyrus [918]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"]
    import: (&(osgi.wiring.package=com.google.common.base)(&(version>=11.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]

Chain 2:
  org.eclipse.emf.compare.diagram.ide.ui.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.diagram.ide.ui.papyrus"; type="osgi.bundle"; version:Version="2.5.0.201608311750"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.papyrus.uml.diagram.common)(bundle-version>=0.9.1))
     |
    provide: osgi.wiring.bundle: org.eclipse.papyrus.uml.diagram.common
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.emf.compare.uml2.edit.papyrus 4 0 2017-03-31 09:54:18.271
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.emf.compare.uml2.edit.papyrus [932]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"]
    import: (&(osgi.wiring.package=com.google.common.base)(&(version>=11.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]

Chain 2:
  org.eclipse.emf.compare.uml2.edit.papyrus [osgi.identity; osgi.identity="org.eclipse.emf.compare.uml2.edit.papyrus"; type="osgi.bundle"; version:Version="1.0.0.201608311750"; singleton:="true"]
    require: (osgi.wiring.bundle=org.eclipse.papyrus.uml.tools.utils)
     |
    provide: osgi.wiring.bundle: org.eclipse.papyrus.uml.tools.utils
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.epp.mpc.core 4 0 2017-03-31 09:54:18.419
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.epp.mpc.core [1281]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3419]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.epp.mpc.ui 4 0 2017-03-31 09:54:18.434
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.epp.mpc.ui [1283]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3419]
         No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.epp.mpc.core; bundle-version="1.5.4"
    -> Bundle-SymbolicName: org.eclipse.epp.mpc.core; bundle-version="1.5.4.v20170222-1921"; singleton:="true"
       org.eclipse.epp.mpc.core [1281]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,1.1.0)"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage.ui; bundle-version="[1.0.0,1.1.0)"
    -> Bundle-SymbolicName: org.eclipse.userstorage.ui; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage.ui [3420]
         Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
           -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.gef4.dot.ui 4 0 2017-03-31 09:54:18.570
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.gef4.dot.ui [1392]
  Unresolved requirement: Require-Bundle: org.eclipse.gef4.dot; bundle-version="[1.0.0,2.0.0)"
    -> Bundle-SymbolicName: org.eclipse.gef4.dot; bundle-version="1.0.1.201609060946"; singleton:="true"
       org.eclipse.gef4.dot [1389]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"] because it is exposed to package 'com.google.common.base' from resources com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"] and com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"] via two dependency chains.

Chain 1:
  org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.xtext.ui)(&(bundle-version>=2.7.3)(!(bundle-version>=3.0.0))))
     |
    provide: osgi.wiring.bundle: org.eclipse.xtext.ui
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="18.0.0.v20161115-1643"]

Chain 2:
  org.eclipse.gef4.dot.ui [osgi.identity; osgi.identity="org.eclipse.gef4.dot.ui"; type="osgi.bundle"; version:Version="1.0.1.201609060946"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.eclipse.gef4.common)(&(bundle-version>=1.0.0)(!(bundle-version>=2.0.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="1.1.0.201609060946"; osgi.wiring.bundle="org.eclipse.gef4.common"
  org.eclipse.gef4.common [osgi.identity; osgi.identity="org.eclipse.gef4.common"; type="osgi.bundle"; version:Version="1.1.0.201609060946"]
    import: (&(osgi.wiring.package=com.google.common.reflect)(&(version>=12.0.0)(!(version>=16.0.0))))
     |
    export: osgi.wiring.package: com.google.common.reflect; uses:=com.google.common.base
    export: osgi.wiring.package=com.google.common.base
  com.google.guava [osgi.identity; osgi.identity="com.google.guava"; type="osgi.bundle"; version:Version="15.0.0.v201403281430"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.apidocs.rcp 4 0 2017-03-31 09:54:18.681
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.apidocs.rcp [2911]
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
       org.eclipse.recommenders.models [2924]
         Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
           -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
              org.eclipse.aether.transport.http [188]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.apidocs; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.apidocs; bundle-version="2.4.6.v20170307-1041"
       org.eclipse.recommenders.apidocs [2910]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models.rcp; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models.rcp; bundle-version="2.4.6.v20170307-1041"; singleton:="true"
       org.eclipse.recommenders.models.rcp [2925]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.models 4 0 2017-03-31 09:54:18.694
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.models [2924]
  Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
    -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
       org.eclipse.aether.transport.http [188]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.recommenders.snipmatch.rcp 4 0 2017-03-31 09:54:18.726
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.recommenders.snipmatch.rcp [2936]
  Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models.rcp; bundle-version="[2.4.6,2.4.7]"
    -> Bundle-SymbolicName: org.eclipse.recommenders.models.rcp; bundle-version="2.4.6.v20170307-1041"; singleton:="true"
       org.eclipse.recommenders.models.rcp [2925]
         Unresolved requirement: Require-Bundle: org.eclipse.recommenders.models; bundle-version="[2.4.6,2.4.7]"
           -> Bundle-SymbolicName: org.eclipse.recommenders.models; bundle-version="2.4.6.v20170307-1041"
              org.eclipse.recommenders.models [2924]
                Unresolved requirement: Import-Package: org.eclipse.aether.transport.http; version="[1.0.0,1.1.0)"
                  -> Export-Package: org.eclipse.aether.transport.http; bundle-symbolic-name="org.eclipse.aether.transport.http"; bundle-version="1.0.1.v20141111"; version="1.0.1.v20141111"; uses:="javax.inject,org.eclipse.aether,org.eclipse.aether.repository,org.eclipse.aether.spi.connector.transport,org.eclipse.aether.spi.locator,org.eclipse.aether.spi.log,org.eclipse.aether.transfer"
                     org.eclipse.aether.transport.http [188]
                       No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package: org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.aether.transport.http [osgi.identity; osgi.identity="org.eclipse.aether.transport.http"; type="osgi.bundle"; version:Version="1.0.1.v20141111"]
    import: (&(osgi.wiring.package=org.apache.http.auth)(&(version>=4.2.1)(!(version>=4.4.0))))
     |
    export: osgi.wiring.package=org.apache.http.auth; uses:=org.apache.http.protocol
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.android.core 4 0 2017-03-31 09:54:18.783
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.android.core [3318]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3320]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.android.ui 4 0 2017-03-31 09:54:18.800
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.android.ui [3319]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.ui; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.ui; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.ui [3321]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
              org.eclipse.thym.core [3320]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.thym.android.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.android.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.android.core [3318]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.core 4 0 2017-03-31 09:54:18.812
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.core [3320]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.ui 4 0 2017-03-31 09:54:18.828
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.ui [3321]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3320]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.wp.core 4 0 2017-03-31 09:54:18.840
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.wp.core [3322]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.core
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.core [3320]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.thym.wp.ui 4 0 2017-03-31 09:54:18.857
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.thym.wp.ui [3323]
  Unresolved requirement: Require-Bundle: org.eclipse.thym.ui
    -> Bundle-SymbolicName: org.eclipse.thym.ui; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.ui [3321]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core; bundle-version="0.3.0"
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
              org.eclipse.thym.core [3320]
                No resolution report for the bundle.  Unresolved requirement: Require-Bundle: org.eclipse.thym.core
    -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Unresolved requirement: Require-Bundle: org.eclipse.thym.wp.core
    -> Bundle-SymbolicName: org.eclipse.thym.wp.core; bundle-version="2.0.0.201603211426"; singleton:="true"
       org.eclipse.thym.wp.core [3322]
         Unresolved requirement: Require-Bundle: org.eclipse.thym.core
           -> Bundle-SymbolicName: org.eclipse.thym.core; bundle-version="2.0.0.201603211426"; singleton:="true"
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.2.5)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.thym.core [osgi.identity; osgi.identity="org.eclipse.thym.core"; type="osgi.bundle"; version:Version="2.0.0.201603211426"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.2.6)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.userstorage 4 0 2017-03-31 09:54:18.939
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.userstorage [3419]
  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage [osgi.identity; osgi.identity="org.eclipse.userstorage"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.userstorage.ui 4 0 2017-03-31 09:54:18.953
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.userstorage.ui [3420]
  Unresolved requirement: Require-Bundle: org.eclipse.userstorage; bundle-version="[1.0.0,2.0.0)"; visibility:="reexport"
    -> Bundle-SymbolicName: org.eclipse.userstorage; bundle-version="1.0.1.v20170201-1648"; singleton:="true"
       org.eclipse.userstorage [3419]
         No resolution report for the bundle.  Bundle was not resolved because of a uses contraint violation.
  org.osgi.service.resolver.ResolutionException: Uses constraint violation. Unable to resolve resource org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"] because it is exposed to package 'org.apache.http' from resources org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"] and org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"] via two dependency chains.

Chain 1:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpcore)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle: org.apache.httpcomponents.httpcore
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.3.3.v201411290715"]

Chain 2:
  org.eclipse.userstorage.ui [osgi.identity; osgi.identity="org.eclipse.userstorage.ui"; type="osgi.bundle"; version:Version="1.0.1.v20170201-1648"; singleton:="true"]
    require: (&(osgi.wiring.bundle=org.apache.httpcomponents.httpclient)(&(bundle-version>=4.0.0)(!(bundle-version>=4.4.0))))
     |
    provide: osgi.wiring.bundle; bundle-version:Version="4.3.6.v201511171540"; osgi.wiring.bundle="org.apache.httpcomponents.httpclient"
  org.apache.httpcomponents.httpclient [osgi.identity; osgi.identity="org.apache.httpcomponents.httpclient"; type="osgi.bundle"; version:Version="4.3.6.v201511171540"]
    import: (&(osgi.wiring.package=org.apache.http.protocol)(version>=4.3.3))
     |
    export: osgi.wiring.package: org.apache.http.protocol; uses:=org.apache.http
    export: osgi.wiring.package=org.apache.http
  org.apache.httpcomponents.httpcore [osgi.identity; osgi.identity="org.apache.httpcomponents.httpcore"; type="osgi.bundle"; version:Version="4.4.4.v20161115-1643"]
	at org.eclipse.osgi.container.Module.start(Module.java:444)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1620)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1599)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1571)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1514)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.emf.ecore 2 0 2017-03-31 09:55:07.717
!MESSAGE Both 'org.eclipse.bpmn2' and 'org.eclipse.papyrus.infra.core.sashwindows.di' register an extension parser for 'di'

!ENTRY org.eclipse.emf.ecore 2 0 2017-03-31 09:55:07.717
!MESSAGE Both 'org.eclipse.fx.ide.css.ui' and 'org.eclipse.papyrus.infra.gmfdiag.css3.xtext.ui' register an extension parser for 'css'

!ENTRY org.eclipse.jface 2 0 2017-03-31 09:55:15.607
!MESSAGE Keybinding conflicts occurred.  They may interfere with normal accelerator operation.
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.607
!MESSAGE A conflict occurred for CTRL+SHIFT+C:
Binding(CTRL+SHIFT+C,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand,&Connect to AUT Agent,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@243c6979,
		[Parameter(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand.parameter.name,autagent.name,null,false), Parameter(org.eclipse.jubula.client.ui.rcp.commands.ConnectToAUTAgentCommand.parameter.port,autagent.port,null,false)],,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+C,
	ParameterizedCommand(Command(org.eclipse.tcf.te.tcf.ui.toolbar.command.select,Select Default Connection...,
		Select a default connection,
		Category(org.eclipse.tcf.te.ui.commands.category,Target Explorer Commands,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5577c1ea,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.607
!MESSAGE A conflict occurred for ALT+C:
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableschemaeditor.copycolumn,Copy,
		,
		Category(org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableschemaedtor.10x,ASA 9.x table schema editor,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@2e48d0d0,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.emf.emfstore.client.ui.commitProject,commit,
		,
		Category(org.eclipse.emf.emfstore.client.ui.project,ECP,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@2cae2754,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+C,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.newComment,New Comment,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6b9ee419,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+SHIFT+D R:
Binding(ALT+SHIFT+D R,
	ParameterizedCommand(Command(org.eclipse.rap.tools.launch.RAPLaunchShortcut.debug,Debug RAP Application,
		Debug RAP Application,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@682b9e80,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+SHIFT+D R,
	ParameterizedCommand(Command(org.eclipse.wst.server.launchShortcut.debug,Debug on Server,
		Debug the current selection on a server,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@35629056,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+ARROW_LEFT:
Binding(CTRL+ARROW_LEFT,
	ParameterizedCommand(Command(org.eclipse.amalgam.explorer.contextual.core.ui.backwardNavigation,Navigate Back in Contextual Explorer,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@29c004cf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+ARROW_LEFT,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4125947e,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@b9d38abd]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+E:
Binding(ALT+E,
	ParameterizedCommand(Command(org.eclipse.emf.emfstore.client.ui.projectProperties,Project Properties,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@754ecd44,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+E,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.editComment,Edit Comment,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@548f039b,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for F9:
Binding(F9,
	ParameterizedCommand(Command(org.eclipse.cdt.make.ui.targetBuildLastCommand,Rebuild Last Target,
		Rebuild the last make target for the selected container or project.,
		Category(org.eclipse.ui.category.project,Project,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7d4093b9,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(F9,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.togglePauseOnErrorCommand,Pause on Test Execution Errors,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@102b7e0b,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for SHIFT+F9:
Binding(SHIFT+F9,
	ParameterizedCommand(Command(org.eclipse.cdt.make.ui.targetBuildCommand,Build Target Build,
		Invoke a make target build for the selected container.,
		Category(org.eclipse.ui.category.project,Project,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@130ca5a7,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(SHIFT+F9,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ShowFromClipboard,Open Element from Clipboard,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@3fb3ff86,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+L:
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.ecf.discovery.ui.userinput.commands.manualLookupCommand,Lookup Service,
		,
		Category(org.eclipse.ecf.discovery.ui.userinput.commands.category,Discovery Category,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@46176e92,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.StopSuiteCommand,Stop Test Execution,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@d078b7d,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+L,
	ParameterizedCommand(Command(org.eclipse.rcptt.ui.actions.goto.line,Goto Line,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@7bd036e7,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+CTRL+T:
Binding(ALT+CTRL+T,
	ParameterizedCommand(Command(org.eclipse.team.svn.ui.command.EditPropertiesCommand,Show Properties,
		,
		Category(org.eclipse.team.svn.ui.command.category,SVN,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5bbfa9d4,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+T,
	ParameterizedCommand(Command(org.eclipse.tm.terminal.connector.local.command.launch,Open Local Terminal on Selection,
		,
		Category(org.eclipse.tm.terminal.view.ui.commands.category,Terminal Commands,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@26a12fcf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+6:
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.egerrit.dashboard.ui.fixupTableDefault,Fixup Table Default layout,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@17cc0405,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.dialogAndWindow,,,system)
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.emf.ecp.cdo.ui.checkinCommand,Checkin,
		,
		Category(org.eclipse.emf.ecp.cdo.ui.commands,ECP CDO Provider,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6dd17f15,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+6,
	ParameterizedCommand(Command(org.eclipse.jubula.client.alm.ui.commands.createTaskCommand,Create a Mylyn task,
		,
		Category(org.eclipse.jubula.client.alm.ui.commands.category,Mylyn tasks,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4b069a72,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+SHIFT+TAB:
Binding(CTRL+SHIFT+TAB,
	ParameterizedCommand(Command(org.eclipse.papyrus.editor.previousTabCommand,Previous Tab,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@64760b8a,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+TAB,
	ParameterizedCommand(Command(org.eclipse.ui.window.previousEditor,Previous Editor,
		Switch to the previous editor,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@136dc72d,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+TAB:
Binding(CTRL+TAB,
	ParameterizedCommand(Command(org.eclipse.papyrus.editor.nextTabCommand,Next Tab,
		,
		Category(org.eclipse.ui.category.navigate,Navigate,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@75222b82,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+TAB,
	ParameterizedCommand(Command(org.eclipse.ui.window.nextEditor,Next Editor,
		Switch to the next editor,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@a08ea5e,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+CTRL+P:
Binding(ALT+CTRL+P,
	ParameterizedCommand(Command(org.eclipse.linuxtools.changelog.core.preparechangelog,Prepare Changelog,
		Prepares Changelog,
		Category(org.eclipse.linuxtools.changelog,Changelog,Changelog key bindings,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@5ef69ace,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+P,
	ParameterizedCommand(Command(org.eclipse.m2e.profiles.ui.commands.selectMavenProfileCommand,Select Maven Profiles,
		,
		Category(org.eclipse.ui.category.window,Window,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@235f7a92,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+CTRL+S:
Binding(ALT+CTRL+S,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.commands.SaveImageAs,Save Image &As...,
		,
		Category(org.eclipse.jubula.client.ui.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@47c53b40,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+CTRL+S,
	ParameterizedCommand(Command(org.eclipse.team.svn.ui.command.SynchronizeCommand,Synchronize with Repository,
		,
		Category(org.eclipse.team.svn.ui.command.category,SVN,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@ad263fc,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+7:
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.egerrit.internal.ui.editors.showNextPatchSet,Go to the next patchset,
		,
		Category(org.eclipse.compare.ui.category.compare,Compare,Compare command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6098b882,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ToggleActiveStatus,Set as active / inactive,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@38cbc5e9,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+7,
	ParameterizedCommand(Command(org.eclipse.ptp.etfw.feedback.actions.commands.perfsuiteCommand,Display PerfSuite Feedback,
		,
		Category(org.eclipse.ptp.etfw.feedback.actions.commands.category,PerfSuite Feedback View,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@563ae68b,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+SHIFT+P:
Binding(CTRL+SHIFT+P,
	ParameterizedCommand(Command(org.eclipse.ecf.presence.ui.commands.browse,Open Contact,
		,
		Category(org.eclipse.ecf.ui.commands.category,ECF Communications,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4feeb233,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+SHIFT+P,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties,&Properties,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@6a975fe4,
		[Parameter(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties.parameter.sectionToOpen,Section,null,true), Parameter(org.eclipse.jubula.client.ui.rcp.commands.ProjectProperties.parameter.innerSectionToOpen,InnerSection,null,true)],,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+ARROW_RIGHT:
Binding(CTRL+ARROW_RIGHT,
	ParameterizedCommand(Command(org.eclipse.amalgam.explorer.contextual.core.ui.forwardNavigation,Navigate Forward in Contextual Explorer,
		,
		Category(org.eclipse.core.commands.categories.autogenerated,Uncategorized,Commands that were either auto-generated or have no category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@c152bd2,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+ARROW_RIGHT,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4125947e,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@b84050]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for CTRL+D:
Binding(CTRL+D,
	ParameterizedCommand(Command(org.eclipse.graphiti.ui.featureExecutionCommand,Feature execution,
		Execute a custom feature on selected Pictogram Elements,
		Category(org.eclipse.graphiti.ui.Graphiti_Category,Edit,Graphiti Diagram Editor,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@4125947e,
		[Parameter(org.eclipse.graphiti.ui.featureHint,Hint,null,false)],,true),[org.eclipse.core.commands.Parameterization@7a24c70]),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(CTRL+D,
	ParameterizedCommand(Command(org.eclipse.jubula.client.ui.rcp.commands.DeleteProject,&Delete...,
		,
		Category(org.eclipse.jubula.client.ui.rcp.commands,Functional Test,null,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@d1a8a65,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
!SUBENTRY 1 org.eclipse.jface 2 0 2017-03-31 09:55:15.608
!MESSAGE A conflict occurred for ALT+SHIFT+X R:
Binding(ALT+SHIFT+X R,
	ParameterizedCommand(Command(org.eclipse.rap.tools.launch.RAPLaunchShortcut.run,Run RAP Application,
		Run RAP Application,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@37dfcedf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)
Binding(ALT+SHIFT+X R,
	ParameterizedCommand(Command(org.eclipse.wst.server.launchShortcut.run,Run on Server,
		Run the current selection on a server,
		Category(org.eclipse.debug.ui.category.run,Run/Debug,Run/Debug command category,true),
		org.eclipse.ui.internal.WorkbenchHandlerServiceHandler@67e7dfbf,
		,,true),null),
	org.eclipse.ui.defaultAcceleratorConfiguration,
	org.eclipse.ui.contexts.window,,,system)

!ENTRY org.eclipse.ui 2 2 2017-03-31 09:55:21.575
!MESSAGE Invalid preference category path: org.eclipse.andmore.platform.ui.preference (bundle: org.eclipse.andmore.android, page: org.eclipse.andmore.android.emulator.preferencepage)

!ENTRY org.eclipse.ui 2 2 2017-03-31 09:55:21.575
!MESSAGE Invalid preference category path: org.eclipse.papyrus.infra.properties.ui.propertyview (bundle: org.eclipse.papyrus.uml.properties, page: org.eclipse.papyrus.uml.properties.multiplicityEditorProperties)

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 09:55:52.789
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.arduino.core.descriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 09:55:52.791
!MESSAGE Enablement expression is missing for descriptor type org.eclipse.cdt.debug.core.coreBuildDescriptorType

!ENTRY org.eclipse.launchbar.core 2 0 2017-03-31 09:55:52.793
!MESSAGE Enablement expression is missing for config provider for org.eclipse.cdt.debug.core.coreBuildDescriptorType

!ENTRY org.eclipse.egit.ui 2 0 2017-03-31 09:55:53.131
!MESSAGE Warning: The environment variable HOME is not set. The following directory will be used to store the Git
user global configuration and to define the default location to store repositories: 'C:\Users\merks'. If this is
not correct please set the HOME environment variable and restart Eclipse. Otherwise Git for Windows and
EGit might behave differently since they see different configuration options.
This warning can be switched off on the Team > Git > Confirmations and Warnings preference page.

!ENTRY org.eclipse.andmore.ddms 4 0 2017-03-31 09:55:53.244
!MESSAGE DDMS files not found: D:\sandbox\USER-HOME\all-neon2\eclipse\platform-tools\adb.exe D:\sandbox\USER-HOME\all-neon2\eclipse\platform-tools\hprof-conv.exe D:\sandbox\USER-HOME\all-neon2\eclipse\tools\traceview.bat 

!ENTRY org.eclipse.update.configurator 4 0 2017-03-31 09:55:53.354
!MESSAGE Can't find bundle for base name feature, locale en_US

!ENTRY org.eclipse.core.net 4 0 2017-03-31 09:55:56.772
!MESSAGE WinHttp.GetProxyForUrl for pac failed with error 'The proxy auto-configuration script could not be downloaded
' #12167.

!ENTRY org.eclipse.core.net 4 0 2017-03-31 09:55:56.786
!MESSAGE WinHttp.GetProxyForUrl for pac failed with error 'The proxy auto-configuration script could not be downloaded
' #12167.

!ENTRY org.eclipse.php.debug.core 4 4 2017-03-31 09:55:58.246
!MESSAGE Could not open a broadcast port on: 20080 (port might be in use). Please select a different port number

!ENTRY org.eclipse.php.debug.core 4 4 2017-03-31 09:55:58.248
!MESSAGE The debug port 10137 is in use. Please select a different port for the debugger.

!ENTRY org.eclipse.core.resources 4 372 2017-03-31 09:55:58.803
!MESSAGE Resource '/RemoteSystemsTempFiles' is not open.

!ENTRY org.eclipse.ui.workbench 4 2 2017-03-31 09:56:02.099
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".
!STACK 1
org.eclipse.core.runtime.CoreException: Executable extension definition for "class" not found.
	at org.eclipse.core.internal.registry.ConfigurationElement.throwException(ConfigurationElement.java:62)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:222)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:52)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartupRunnable.java:53)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.Workbench$55.run(Workbench.java:2835)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 09:56:02.103
!MESSAGE Executable extension definition for "class" not found.
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 09:56:02.104
!MESSAGE Executable extension definition for "class" not found.

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:56:02.112
!MESSAGE Unable to execute early startup code for the org.eclipse.ui.IStartup extension contributed by the 'org.eclipse.sequoyah.device.framework.wizard' plug-in.
!STACK 1
org.eclipse.core.runtime.CoreException: Executable extension definition for "class" not found.
	at org.eclipse.core.internal.registry.ConfigurationElement.throwException(ConfigurationElement.java:62)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:222)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:52)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.EarlyStartupRunnable.run(EarlyStartupRunnable.java:53)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.Workbench$55.run(Workbench.java:2835)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
!SUBENTRY 1 org.eclipse.equinox.registry 4 1 2017-03-31 09:56:02.112
!MESSAGE Executable extension definition for "class" not found.

!ENTRY org.eclipse.ui.workbench 4 2 2017-03-31 09:56:02.430
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.ui.workbench".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.afterIndex(InternalModelIndex.java:101)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.afterIndex(WorkspaceModelIndex.java:325)
	at org.eclipse.papyrus.infra.emf.internal.resource.CrossReferenceIndex.afterIndex(CrossReferenceIndex.java:153)
	at org.eclipse.papyrus.infra.emf.internal.resource.AbstractCrossReferenceIndex.getParentsAsync(AbstractCrossReferenceIndex.java:303)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.getSubunitKind(ControlledUnitLabelDecorator.java:123)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorateFile(ControlledUnitLabelDecorator.java:83)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorate(ControlledUnitLabelDecorator.java:76)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:260)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:100)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:383)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:365)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:367)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:327)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 29 more

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:02.436
!MESSAGE Exception in Decorator. The 'Controlled Units' decorator will be disabled.
!SUBENTRY 1 org.eclipse.ui 4 4 2017-03-31 09:56:02.436
!MESSAGE org/objectteams/IBoundBase2
!STACK 0
java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.afterIndex(InternalModelIndex.java:101)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.afterIndex(WorkspaceModelIndex.java:325)
	at org.eclipse.papyrus.infra.emf.internal.resource.CrossReferenceIndex.afterIndex(CrossReferenceIndex.java:153)
	at org.eclipse.papyrus.infra.emf.internal.resource.AbstractCrossReferenceIndex.getParentsAsync(AbstractCrossReferenceIndex.java:303)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.getSubunitKind(ControlledUnitLabelDecorator.java:123)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorateFile(ControlledUnitLabelDecorator.java:83)
	at org.eclipse.papyrus.infra.services.controlmode.internal.ui.ControlledUnitLabelDecorator.decorate(ControlledUnitLabelDecorator.java:76)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorDefinition.decorate(LightweightDecoratorDefinition.java:260)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager$LightweightRunnable.run(LightweightDecoratorManager.java:100)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.decorate(LightweightDecoratorManager.java:383)
	at org.eclipse.ui.internal.decorators.LightweightDecoratorManager.getDecorations(LightweightDecoratorManager.java:365)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.ensureResultCached(DecorationScheduler.java:367)
	at org.eclipse.ui.internal.decorators.DecorationScheduler$1.run(DecorationScheduler.java:327)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 09:56:02.582
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 09:56:02.586
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.eclipse.core.jobs 4 2 2017-03-31 09:56:02.588
!MESSAGE An internal error occurred during: "Indexing project RemoteSystemsTempFiles".
!STACK 0
java.lang.NoClassDefFoundError: org/objectteams/IBoundBase2
	at java.lang.ClassLoader.defineClass1(Native Method)
	at java.lang.ClassLoader.defineClass(ClassLoader.java:763)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.defineClass(ModuleClassLoader.java:273)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.defineClass(ClasspathManager.java:632)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassImpl(ClasspathManager.java:586)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClassImpl(ClasspathManager.java:538)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:525)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.InternalModelIndex.getContentTypes(InternalModelIndex.java:87)
	at org.eclipse.papyrus.infra.emf.resource.index.WorkspaceModelIndex.match(WorkspaceModelIndex.java:425)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.lambda$0(IndexManager.java:278)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.safeIterateIndices(IndexManager.java:291)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager.process(IndexManager.java:277)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$2.visit(IndexManager.java:352)
	at org.eclipse.core.internal.resources.Resource$2.visit(Resource.java:120)
	at org.eclipse.core.internal.resources.Resource$1.visitElement(Resource.java:84)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:82)
	at org.eclipse.core.internal.watson.ElementTreeIterator.doIteration(ElementTreeIterator.java:87)
	at org.eclipse.core.internal.watson.ElementTreeIterator.iterate(ElementTreeIterator.java:129)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:94)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:52)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:117)
	at org.eclipse.core.internal.resources.Resource.accept(Resource.java:105)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$IndexProjectJob.doRun(IndexManager.java:811)
	at org.eclipse.papyrus.infra.emf.internal.resource.index.IndexManager$AbstractIndexJob.run(IndexManager.java:530)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)
Caused by: java.lang.ClassNotFoundException: org.objectteams.IBoundBase2 cannot be found by com.google.guava_18.0.0.v20161115-1643
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:461)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	... 32 more

!ENTRY org.apache.log4j 2 0 2017-03-31 09:56:02.643
!MESSAGE org.eclipse.xtext.internal.ExtensionResourceServiceProviderRegistryReader  - Both 'org.eclipse.fx.ide.css.ui' and 'org.eclipse.papyrus.infra.gmfdiag.css3.xtext.ui' register a content parser for 'css'


!ENTRY org.eclipse.oomph.setup.ui 1 0 2017-03-31 09:56:04.996
!MESSAGE Setup tasks were performed during startup updating 175 preferences. See 'D:\sandbox\USER-HOME\all-neon2\eclipse\configuration\org.eclipse.oomph.setup\setup.log' for details

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 09:56:30.548
!MESSAGE Could not bind a reference of component org.eclipse.fx.core.internal.JUtilLoggerFactory. The reference is: Reference[name = registerHandler, interface = java.util.logging.Handler, policy = dynamic, policy-option = greedy, cardinality = 0..n, target = null, bind = registerHandler, unbind = unregisterHandler, updated = null]

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:32.252
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingSwitchSpace2UnderscoreCommand: {org.eclipse.papyrus.infra.nattable.modelexplorer.handlers.NattableQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:32.373
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingRemoveSpaceCommand: {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:32.397
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingUpperCaseCommand: {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler} vs {org.eclipse.papyrus.infra.nattable.modelexplorer.handlers.NattableQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:32.447
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingLowerCaseCommand: {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler} vs {org.eclipse.papyrus.uml.modelexplorer.handler.UmlQuickFormatHandler}

!ENTRY org.eclipse.ui 4 4 2017-03-31 09:56:32.482
!MESSAGE Conflicting handlers for org.eclipse.papyrus.infra.ui.menu.commands.QuickFormattingCapitalizeFirstLetterCommand: {org.eclipse.papyrus.infra.nattable.modelexplorer.handlers.NattableQuickFormatHandler} vs {org.eclipse.papyrus.uml.diagram.menu.actions.handlers.DiagramQuickFormatHandler}

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:47.162
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:47.171
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:48.271
!MESSAGE /icons/full/etool16/save_edit.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/etool16/save_edit.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:48.274
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.views.command.apply'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/etool16/save_edit.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:48.938
!MESSAGE /icons/full/elcl16/refresh_nav.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/elcl16/refresh_nav.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:48.939
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.command.refresh'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/elcl16/refresh_nav.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:48.941
!MESSAGE /icons/full/elcl16/refresh_nav.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/elcl16/refresh_nav.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:48.942
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.command.refresh'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/elcl16/refresh_nav.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createTreeItem(AbstractTreeViewer.java:843)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$0(AbstractTreeViewer.java:820)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:795)
	at org.eclipse.jface.viewers.TreeViewer.createChildren(TreeViewer.java:596)
	at org.eclipse.jface.viewers.AbstractTreeViewer.createChildren(AbstractTreeViewer.java:766)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalInitializeTree(AbstractTreeViewer.java:1538)
	at org.eclipse.jface.viewers.TreeViewer.internalInitializeTree(TreeViewer.java:772)
	at org.eclipse.jface.viewers.AbstractTreeViewer.lambda$1(AbstractTreeViewer.java:1523)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.AbstractTreeViewer.inputChanged(AbstractTreeViewer.java:1517)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.inputChanged(FilteredTree.java:1215)
	at org.eclipse.jface.viewers.ContentViewer.setInput(ContentViewer.java:286)
	at org.eclipse.jface.viewers.StructuredViewer.setInput(StructuredViewer.java:1696)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.fill(NewKeysPreferencePage.java:1134)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage.createContents(NewKeysPreferencePage.java:480)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:49.815
!MESSAGE /icons/full/etool16/save_edit.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/etool16/save_edit.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:49.817
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.views.command.apply'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/etool16/save_edit.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:49.825
!MESSAGE /icons/full/elcl16/refresh_nav.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/elcl16/refresh_nav.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:49.826
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.command.refresh'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/elcl16/refresh_nav.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:49.827
!MESSAGE /icons/full/elcl16/refresh_nav.gif
!STACK 0
java.io.FileNotFoundException: /icons/full/elcl16/refresh_nav.gif
	at org.eclipse.osgi.storage.url.bundleentry.Handler.findBundleEntry(Handler.java:37)
	at org.eclipse.osgi.storage.url.BundleResourceHandler.openConnection(BundleResourceHandler.java:169)
	at java.net.URL.openConnection(URL.java:979)
	at org.eclipse.core.internal.boot.PlatformURLConnection.connect(PlatformURLConnection.java:112)
	at org.eclipse.core.internal.boot.PlatformURLConnection.getURLAsLocal(PlatformURLConnection.java:237)
	at org.eclipse.core.internal.runtime.PlatformURLConverter.toFileURL(PlatformURLConverter.java:34)
	at org.eclipse.core.runtime.FileLocator.toFileURL(FileLocator.java:207)
	at org.eclipse.jface.resource.URLImageDescriptor.getFilePath(URLImageDescriptor.java:213)
	at org.eclipse.jface.resource.URLImageDescriptor.access$1(URLImageDescriptor.java:200)
	at org.eclipse.jface.resource.URLImageDescriptor$URLImageFileNameProvider.getImagePath(URLImageDescriptor.java:53)
	at org.eclipse.swt.internal.DPIUtil.validateAndGetImagePathAtZoom(DPIUtil.java:407)
	at org.eclipse.swt.graphics.Image.<init>(Image.java:684)
	at org.eclipse.jface.resource.URLImageDescriptor.createImage(URLImageDescriptor.java:244)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:164)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.ui 4 0 2017-03-31 09:57:49.828
!MESSAGE Problem retrieving image for a command 'org.eclipse.tcf.te.ui.command.refresh'
!STACK 0
org.eclipse.jface.resource.DeviceResourceException: Unable to create resource URLImageDescriptor(platform:/plugin/org.eclipse.ui/icons/full/elcl16/refresh_nav.gif)
	at org.eclipse.jface.resource.ImageDescriptor.createResource(ImageDescriptor.java:166)
	at org.eclipse.jface.resource.DeviceResourceManager.allocate(DeviceResourceManager.java:52)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.LocalResourceManager.allocate(LocalResourceManager.java:69)
	at org.eclipse.jface.resource.AbstractResourceManager.create(AbstractResourceManager.java:86)
	at org.eclipse.jface.resource.ResourceManager.createImage(ResourceManager.java:172)
	at org.eclipse.ui.internal.keys.NewKeysPreferencePage$BindingElementLabelProvider.getColumnImage(NewKeysPreferencePage.java:411)
	at org.eclipse.jface.viewers.TableColumnViewerLabelProvider.update(TableColumnViewerLabelProvider.java:67)
	at org.eclipse.jface.viewers.ViewerColumn.refresh(ViewerColumn.java:141)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:949)
	at org.eclipse.jface.viewers.AbstractTreeViewer$UpdateItemSafeRunnable.run(AbstractTreeViewer.java:118)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.AbstractTreeViewer.doUpdateItem(AbstractTreeViewer.java:1029)
	at org.eclipse.jface.viewers.StructuredViewer$UpdateItemSafeRunnable.run(StructuredViewer.java:474)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.updateItem(StructuredViewer.java:2170)
	at org.eclipse.jface.viewers.AbstractTreeViewer.updateChildren(AbstractTreeViewer.java:2743)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefreshStruct(AbstractTreeViewer.java:1913)
	at org.eclipse.jface.viewers.TreeViewer.internalRefreshStruct(TreeViewer.java:669)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1888)
	at org.eclipse.jface.viewers.AbstractTreeViewer.internalRefresh(AbstractTreeViewer.java:1845)
	at org.eclipse.jface.viewers.StructuredViewer.lambda$1(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1458)
	at org.eclipse.jface.viewers.TreeViewer.preservingSelection(TreeViewer.java:354)
	at org.eclipse.jface.viewers.StructuredViewer.preservingSelection(StructuredViewer.java:1419)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1542)
	at org.eclipse.jface.viewers.ColumnViewer.refresh(ColumnViewer.java:535)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1246)
	at org.eclipse.jface.viewers.StructuredViewer.refresh(StructuredViewer.java:1503)
	at org.eclipse.ui.dialogs.FilteredTree$NotifyingTreeViewer.refresh(FilteredTree.java:1234)
	at org.eclipse.ui.dialogs.FilteredTree$2.runInUIThread(FilteredTree.java:523)
	at org.eclipse.ui.progress.UIJob$1.run(UIJob.java:97)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.andmore 2 0 2017-03-31 09:57:53.771
!MESSAGE The preference page Android comes up in an invalid state

!ENTRY org.eclipse.jface 4 0 2017-03-31 09:57:54.094
!MESSAGE java.lang.NullPointerException
!STACK 0
java.lang.NullPointerException
	at org.eclipse.ui.internal.registry.EditorRegistry.addExternalEditorsToEditorMap(EditorRegistry.java:281)
	at org.eclipse.ui.internal.registry.EditorRegistry.rebuildEditorMap(EditorRegistry.java:957)
	at org.eclipse.ui.internal.registry.EditorRegistry.setFileEditorMappings(EditorRegistry.java:1080)
	at org.eclipse.ui.internal.dialogs.FileEditorsPreferencePage.performOk(FileEditorsPreferencePage.java:506)
	at org.eclipse.ui.internal.ide.ExtendedFileEditorsPreferencePage.performOk(ExtendedFileEditorsPreferencePage.java:102)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog.okPressed(PreferenceInitializationDialog.java:243)
	at org.eclipse.jface.dialogs.Dialog.buttonPressed(Dialog.java:466)
	at org.eclipse.jface.dialogs.Dialog$2.widgetSelected(Dialog.java:618)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.oomph.setup.ui.recorder.RecorderManager$7.widgetSelected(RecorderManager.java:852)
	at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:249)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:63)
	at org.eclipse.jface.action.Action.runWithEvent(Action.java:473)
	at org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:565)
	at org.eclipse.jface.action.ActionContributionItem.lambda$4(ActionContributionItem.java:397)
	at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
	at org.eclipse.swt.widgets.Display.sendEvent(Display.java:4418)
	at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1079)
	at org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:4236)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.datatools.connectivity 4 10001 2017-03-31 09:57:55.119
!MESSAGE D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb\db\META-INF\MANIFEST.MF (The system cannot find the path specified)
!STACK 1
org.eclipse.core.runtime.CoreException: D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb\db\META-INF\MANIFEST.MF (The system cannot find the path specified)
	at org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb.internal.impl.SampleDbFactory.setInitializationData(SampleDbFactory.java:104)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:251)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.initializeLocalDatabase(InternalProfileManager.java:1380)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.loadLocalRegisteredDatabases(InternalProfileManager.java:1360)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.loadProfiles(InternalProfileManager.java:1070)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.getProfiles(InternalProfileManager.java:150)
	at org.eclipse.datatools.connectivity.ProfileManager.getProfiles(ProfileManager.java:48)
	at org.eclipse.andmore.android.db.core.model.DbModel.cleanPreviousProfiles(DbModel.java:627)
	at org.eclipse.andmore.android.db.core.DbCoreActivator.start(DbCoreActivator.java:84)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:774)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:767)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:724)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:932)
	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309)
	at org.eclipse.osgi.container.Module.doStart(Module.java:581)
	at org.eclipse.osgi.container.Module.start(Module.java:449)
	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:470)
	at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:107)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:529)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.sources.SingleSourcePackage.loadClass(SingleSourcePackage.java:36)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:419)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.andmore.android.db.devices.DbDevicesPlugin.start(DbDevicesPlugin.java:46)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:774)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:767)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:724)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:932)
	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309)
	at org.eclipse.osgi.container.Module.doStart(Module.java:581)
	at org.eclipse.osgi.container.Module.start(Module.java:449)
	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:470)
	at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:107)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:529)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:564)
	at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:174)
	at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage(WorkbenchPreferenceNode.java:48)
	at org.eclipse.jface.preference.PreferenceDialog.createPage(PreferenceDialog.java:1280)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.createPage(FilteredPreferenceDialog.java:355)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1167)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: java.io.FileNotFoundException: D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb\db\META-INF\MANIFEST.MF (The system cannot find the path specified)
	at java.io.FileOutputStream.open0(Native Method)
	at java.io.FileOutputStream.open(FileOutputStream.java:270)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:213)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:162)
	at org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb.internal.impl.SampleDbFactory.initSampleDb(SampleDbFactory.java:187)
	at org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb.internal.impl.SampleDbFactory.setInitializationData(SampleDbFactory.java:88)
	... 118 more
!SUBENTRY 1 org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb 4 0 2017-03-31 09:57:55.119
!MESSAGE D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb\db\META-INF\MANIFEST.MF (The system cannot find the path specified)
!STACK 0
java.io.FileNotFoundException: D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb\db\META-INF\MANIFEST.MF (The system cannot find the path specified)
	at java.io.FileOutputStream.open0(Native Method)
	at java.io.FileOutputStream.open(FileOutputStream.java:270)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:213)
	at java.io.FileOutputStream.<init>(FileOutputStream.java:162)
	at org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb.internal.impl.SampleDbFactory.initSampleDb(SampleDbFactory.java:187)
	at org.eclipse.birt.report.data.oda.jdbc.dbprofile.sampledb.internal.impl.SampleDbFactory.setInitializationData(SampleDbFactory.java:88)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:251)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.initializeLocalDatabase(InternalProfileManager.java:1380)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.loadLocalRegisteredDatabases(InternalProfileManager.java:1360)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.loadProfiles(InternalProfileManager.java:1070)
	at org.eclipse.datatools.connectivity.internal.InternalProfileManager.getProfiles(InternalProfileManager.java:150)
	at org.eclipse.datatools.connectivity.ProfileManager.getProfiles(ProfileManager.java:48)
	at org.eclipse.andmore.android.db.core.model.DbModel.cleanPreviousProfiles(DbModel.java:627)
	at org.eclipse.andmore.android.db.core.DbCoreActivator.start(DbCoreActivator.java:84)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:774)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:767)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:724)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:932)
	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309)
	at org.eclipse.osgi.container.Module.doStart(Module.java:581)
	at org.eclipse.osgi.container.Module.start(Module.java:449)
	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:470)
	at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:107)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:529)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.sources.SingleSourcePackage.loadClass(SingleSourcePackage.java:36)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:419)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.andmore.android.db.devices.DbDevicesPlugin.start(DbDevicesPlugin.java:46)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:774)
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1)
	at java.security.AccessController.doPrivileged(Native Method)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:767)
	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:724)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:932)
	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309)
	at org.eclipse.osgi.container.Module.doStart(Module.java:581)
	at org.eclipse.osgi.container.Module.start(Module.java:449)
	at org.eclipse.osgi.framework.util.SecureAction.start(SecureAction.java:470)
	at org.eclipse.osgi.internal.hooks.EclipseLazyStarter.postFindLocalClass(EclipseLazyStarter.java:107)
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findLocalClass(ClasspathManager.java:529)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.findLocalClass(ModuleClassLoader.java:325)
	at org.eclipse.osgi.internal.loader.BundleLoader.findLocalClass(BundleLoader.java:345)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClassInternal(BundleLoader.java:423)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:372)
	at org.eclipse.osgi.internal.loader.BundleLoader.findClass(BundleLoader.java:364)
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.loadClass(ModuleClassLoader.java:161)
	at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
	at org.eclipse.osgi.internal.framework.EquinoxBundle.loadClass(EquinoxBundle.java:564)
	at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:174)
	at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:291)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:286)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage(WorkbenchPreferenceNode.java:48)
	at org.eclipse.jface.preference.PreferenceDialog.createPage(PreferenceDialog.java:1280)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.createPage(FilteredPreferenceDialog.java:355)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1167)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:56.178
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:56.179
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:57.671
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:57:57.672
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:00.361
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:00.361
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:02.570
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:02.570
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.linuxtools.docker.ui 2 0 2017-03-31 09:58:07.588
!MESSAGE The preference page Docker -> Docker Compose comes up in an invalid state

!ENTRY org.eclipse.linuxtools.docker.ui 2 0 2017-03-31 09:58:08.153
!MESSAGE The preference page Docker -> Docker Machine comes up in an invalid state

!ENTRY org.eclipse.ecf.filetransfer.ui 2 0 2017-03-31 09:58:09.296
!MESSAGE The preference page ECF Communications -> File Transfer comes up in an invalid state

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:16.653
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:16.654
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:19.796
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:19.797
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:24.961
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:24.962
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.linuxtools.javadocs 2 0 2017-03-31 09:58:28.403
!MESSAGE The preference page Javadocs comes up in an invalid state

!ENTRY org.eclipse.equinox.ds 1 0 2017-03-31 09:58:29.852
!MESSAGE Could not bind a reference of component org.eclipse.fx.ide.css.cssext.ui.internal.DefaultCssExtProvider. The reference is: Reference[name = ICSSExtModelProvider, interface = org.eclipse.fx.ide.css.cssext.ICSSExtModelProvider, policy = dynamic, cardinality = 0..n, target = null, bind = bindCssExtensionModelProvider, unbind = unbindCssExtensionModelProvider]

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:30.882
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:30.883
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:31.731
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:31.731
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:33.118
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:33.118
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.ldt 2 0 2017-03-31 09:58:34.262
!MESSAGE Unable to parse file .
!STACK 0
com.naef.jnlua.LuaRuntimeException: ...osgi\1830\0\.cp\lib\metalua\compiler\parser\meta.lua:41: attempt to call local 'f' (a nil value)
	at com.naef.jnlua.LuaState.lua_pcall(Native Method)
	at com.naef.jnlua.LuaState.call(LuaState.java:555)
	at org.eclipse.ldt.metalua.AbstractMetaLuaModule.compileMetaluaFile(AbstractMetaLuaModule.java:86)
	at org.eclipse.ldt.metalua.AbstractMetaLuaModule.compileMetaluaFiles(AbstractMetaLuaModule.java:55)
	at org.eclipse.ldt.metalua.AbstractMetaLuaModule.loadLuaModule(AbstractMetaLuaModule.java:33)
	at org.eclipse.ldt.core.internal.ast.parser.ModelsBuilderLuaModule.buildAST(ModelsBuilderLuaModule.java:39)
	at org.eclipse.ldt.core.internal.ast.parser.LuaSourceParser.parse(LuaSourceParser.java:141)
	at org.eclipse.dltk.core.SourceParserUtil.parse(SourceParserUtil.java:42)
	at org.eclipse.ldt.ui.internal.editor.text.LuaSemanticUpdateWorker.parseSourceCode(LuaSemanticUpdateWorker.java:112)
	at org.eclipse.ldt.ui.internal.editor.text.LuaSemanticUpdateWorker.parseCode(LuaSemanticUpdateWorker.java:107)
	at org.eclipse.ldt.ui.internal.editor.text.LuaSemanticUpdateWorker.process(LuaSemanticUpdateWorker.java:88)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.ContributedSemanticHighlighter.doHighlighting(ContributedSemanticHighlighter.java:46)
	at org.eclipse.dltk.ui.editor.highlighting.AbstractSemanticHighlighter.reconcile(AbstractSemanticHighlighter.java:69)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.enable(SemanticHighlightingManager.java:228)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.install(SemanticHighlightingManager.java:171)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.install(SemanticHighlightingManager.java:187)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.installSemanticHighlighting(AbstractScriptEditorColoringConfigurationBlock.java:954)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createPreviewer(AbstractScriptEditorColoringConfigurationBlock.java:910)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createSyntaxPage(AbstractScriptEditorColoringConfigurationBlock.java:748)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createControl(AbstractScriptEditorColoringConfigurationBlock.java:525)
	at org.eclipse.dltk.ui.preferences.AbstractConfigurationBlockPreferencePage.createContents(AbstractConfigurationBlockPreferencePage.java:66)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.dltk.ui.preferences.AbstractConfigurationBlockPreferencePage.createControl(AbstractConfigurationBlockPreferencePage.java:56)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:34.392
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:34.393
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.dltk.ui 4 10001 2017-03-31 09:58:34.609
!MESSAGE preference option missing: org.eclipse.ldt.ui/formatter.profiles.active (org.eclipse.dltk.ui.formatter.AbstractFormatterPreferencePage$FormatterSelectionBlock)

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:58:35.038
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getInterpreterInstallTypes(ScriptRuntime.java:613)
	at org.eclipse.dltk.internal.debug.ui.interpreters.InterpretersBlock.fillWithWorkspaceInterpreters(InterpretersBlock.java:905)
	at org.eclipse.dltk.internal.debug.ui.interpreters.InterpretersBlock.createControl(InterpretersBlock.java:441)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.createContents(LuaInterpreterPreferencePage.java:59)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:58:35.038
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:58:35.057
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.checkDefaultInterpreter(LuaInterpreterPreferencePage.java:89)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.createContents(LuaInterpreterPreferencePage.java:68)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:58:35.058
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.linuxtools.man.core 2 0 2017-03-31 09:58:35.284
!MESSAGE The preference page Man pages comes up in an invalid state

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:58:35.382
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.<init>(InterpretersUpdater.java:43)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpretersUpdater.<init>(LuaInterpretersUpdater.java:50)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage$2.run(LuaInterpreterPreferencePage.java:129)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.performOk(LuaInterpreterPreferencePage.java:123)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:58:35.383
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:58:35.385
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpretersUpdater.saveCurrentAsOriginal(LuaInterpretersUpdater.java:61)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpretersUpdater.<init>(LuaInterpretersUpdater.java:51)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage$2.run(LuaInterpreterPreferencePage.java:129)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.performOk(LuaInterpreterPreferencePage.java:123)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:58:35.386
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:58:35.503
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpretersUpdater.saveCurrentAsOriginal(LuaInterpretersUpdater.java:61)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpretersUpdater.updateInterpreterSettings(LuaInterpretersUpdater.java:143)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage$2.run(LuaInterpreterPreferencePage.java:130)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.ldt.debug.ui.internal.interpreters.LuaInterpreterPreferencePage.performOk(LuaInterpreterPreferencePage.java:123)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:58:35.504
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:36.401
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:36.401
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.ptp.rm.lml.monitor.core 4 4 2017-03-31 09:58:49.114
!MESSAGE D:\sandbox\USER-HOME\workspace.all.neon.3.oomph.1.8\.metadata\.plugins\org.eclipse.ptp.rm.lml.monitor.core\monitors.xml (The system cannot find the file specified)

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:49.558
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:49.558
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:51.389
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:58:51.389
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.rse.core 1 0 2017-03-31 09:58:58.210
!MESSAGE Saved passwords are not available for migration to secure storage. Deprecated authorization classes (org.eclipse.core.runtime.compatibility.auth) are not installed.

!ENTRY org.eclipse.linuxtools.rpm.rpmlint 2 0 2017-03-31 09:59:00.413
!MESSAGE The preference page RPM -> Rpmlint comes up in an invalid state

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:01.283
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:01.284
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:02.308
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:02.309
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.dltk.ui 4 10001 2017-03-31 09:59:02.426
!MESSAGE preference option missing: org.eclipse.dltk.ruby.formatter/formatter.profiles.active (org.eclipse.dltk.ui.formatter.AbstractFormatterPreferencePage$FormatterSelectionBlock)

!ENTRY org.eclipse.debug.ui 4 0 2017-03-31 09:59:03.908
!MESSAGE Tab group extension: org.eclipse.cdt.launch.applicationProfileLaunchTabGroup for type org.eclipse.cdt.launch.applicationLaunchType for the [profile] mode has been replaced by extension: org.eclipse.cdt.launch.applicationProfileLaunchTabGroup

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:06.122
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:06.123
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.dltk.core 4 0 2017-03-31 09:59:07.063
!MESSAGE Error in SemanticPositionUpdater
!STACK 0
java.lang.ClassCastException: org.eclipse.gmt.modisco.xml.emf.impl.RootImpl cannot be cast to org.eclipse.dltk.tcl.definitions.Scope
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionLoader.loadDefinitions(DefinitionLoader.java:29)
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionManager.initialize(DefinitionManager.java:37)
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionManager.getScopes(DefinitionManager.java:64)
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionManager.createNewProcessor(DefinitionManager.java:83)
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionManager.internalCoreProcessor(DefinitionManager.java:94)
	at org.eclipse.dltk.tcl.parser.definitions.DefinitionManager.createProcessor(DefinitionManager.java:78)
	at org.eclipse.dltk.tcl.internal.parser.NewTclSourceParser.<init>(NewTclSourceParser.java:72)
	at org.eclipse.dltk.tcl.internal.parser.TclSourceParserFactory.createSourceParser(TclSourceParserFactory.java:16)
	at org.eclipse.dltk.tcl.internal.parser.TclSourceParserFactory.createSourceParser(TclSourceParserFactory.java:1)
	at org.eclipse.dltk.ast.parser.SourceParserManager$SourceParserContribution.createSourceParser(SourceParserManager.java:121)
	at org.eclipse.dltk.ast.parser.SourceParserManager.getSourceParser(SourceParserManager.java:94)
	at org.eclipse.dltk.core.DLTKLanguageManager.getSourceParser(DLTKLanguageManager.java:287)
	at org.eclipse.dltk.core.SourceParserUtil.parse(SourceParserUtil.java:39)
	at org.eclipse.dltk.ui.editor.highlighting.ASTSemanticHighlighter.parseSourceCode(ASTSemanticHighlighter.java:41)
	at org.eclipse.dltk.ui.editor.highlighting.ASTSemanticHighlighter.parseCode(ASTSemanticHighlighter.java:36)
	at org.eclipse.dltk.tcl.internal.ui.TclSemanticPositionUpdater.doHighlighting(TclSemanticPositionUpdater.java:47)
	at org.eclipse.dltk.ui.editor.highlighting.AbstractSemanticHighlighter.reconcile(AbstractSemanticHighlighter.java:69)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.enable(SemanticHighlightingManager.java:228)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.install(SemanticHighlightingManager.java:171)
	at org.eclipse.dltk.internal.ui.editor.semantic.highlighting.SemanticHighlightingManager.install(SemanticHighlightingManager.java:187)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.installSemanticHighlighting(AbstractScriptEditorColoringConfigurationBlock.java:954)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createPreviewer(AbstractScriptEditorColoringConfigurationBlock.java:910)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createSyntaxPage(AbstractScriptEditorColoringConfigurationBlock.java:748)
	at org.eclipse.dltk.ui.preferences.AbstractScriptEditorColoringConfigurationBlock.createControl(AbstractScriptEditorColoringConfigurationBlock.java:525)
	at org.eclipse.dltk.ui.preferences.AbstractConfigurationBlockPreferencePage.createContents(AbstractConfigurationBlockPreferencePage.java:66)
	at org.eclipse.jface.preference.PreferencePage.createControl(PreferencePage.java:241)
	at org.eclipse.dltk.ui.preferences.AbstractConfigurationBlockPreferencePage.createControl(AbstractConfigurationBlockPreferencePage.java:56)
	at org.eclipse.jface.preference.PreferenceDialog.createPageControl(PreferenceDialog.java:1430)
	at org.eclipse.jface.preference.PreferenceDialog$9.run(PreferenceDialog.java:1197)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1189)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:07.191
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:07.192
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.dltk.ui 4 10001 2017-03-31 09:59:07.370
!MESSAGE preference option missing: org.eclipse.dltk.tcl.formatter/formatter.profiles (org.eclipse.dltk.ui.formatter.AbstractFormatterPreferencePage$FormatterSelectionBlock)

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:08.630
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.<init>(InterpretersUpdater.java:43)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:148)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:08.630
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:08.737
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.updateInterpreterSettings(InterpretersUpdater.java:146)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:149)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:08.737
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:08.849
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.<init>(InterpretersUpdater.java:43)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:148)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:08.849
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:08.954
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.updateInterpreterSettings(InterpretersUpdater.java:146)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:149)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:08.955
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:08.957
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.<init>(InterpretersUpdater.java:43)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:148)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:08.958
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.dltk.launching 4 4 2017-03-31 09:59:09.156
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
!STACK 1
org.eclipse.core.runtime.CoreException: Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:839)
	at org.eclipse.dltk.launching.ScriptRuntime.abort(ScriptRuntime.java:820)
	at org.eclipse.dltk.launching.ScriptRuntime.addInterpreterExtensions(ScriptRuntime.java:1788)
	at org.eclipse.dltk.launching.ScriptRuntime.initializeInterpreters(ScriptRuntime.java:1980)
	at org.eclipse.dltk.launching.ScriptRuntime.getDefaultInterpreterInstall(ScriptRuntime.java:558)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.saveCurrentAsOriginal(InterpretersUpdater.java:55)
	at org.eclipse.dltk.debug.ui.interpreters.InterpretersUpdater.updateInterpreterSettings(InterpretersUpdater.java:146)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.lambda$1(ScriptInterpreterPreferencePage.java:149)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.dltk.internal.debug.ui.interpreters.ScriptInterpreterPreferencePage.performOk(ScriptInterpreterPreferencePage.java:143)
	at org.eclipse.jface.preference.PreferenceDialog$8.run(PreferenceDialog.java:905)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.preference.PreferenceDialog.okPressed(PreferenceDialog.java:889)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.okPressed(FilteredPreferenceDialog.java:409)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.okPressed(WorkbenchPreferenceDialog.java:168)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:117)
	at org.eclipse.oomph.util.ReflectUtil.invokeMethod(ReflectUtil.java:147)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1.run(PreferenceInitializationDialog.java:463)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
!SUBENTRY 1 org.eclipse.dltk.launching 4 100 2017-03-31 09:59:09.156
!MESSAGE Illegal install location /bin/sh for interpreterInstall org.eclipse.dltk.sh.ui.interpreter.default contributed by org.eclipse.dltk.sh.ui: Interpreter executable location is not correct

!ENTRY org.eclipse.linuxtools.vagrant.ui 2 0 2017-03-31 09:59:12.155
!MESSAGE The preference page Vagrant comes up in an invalid state

!ENTRY org.eclipse.equinox.preferences 4 2 2017-03-31 09:59:12.308
!MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.equinox.preferences".
!STACK 0
java.lang.NullPointerException
	at org.eclipse.oomph.preferences.util.PreferencesUtil$PreferencesAdapter.preferenceChange(PreferencesUtil.java:1511)
	at org.eclipse.core.internal.preferences.EclipsePreferences$2.run(EclipsePreferences.java:848)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.core.internal.preferences.EclipsePreferences.firePreferenceEvent(EclipsePreferences.java:851)
	at org.eclipse.core.internal.preferences.EclipsePreferences.putLong(EclipsePreferences.java:941)
	at org.eclipse.ui.preferences.ScopedPreferenceStore.setValue(ScopedPreferenceStore.java:624)
	at org.eclipse.linuxtools.internal.rpm.ui.editor.RpmPackageBuildProposalsJob.update(RpmPackageBuildProposalsJob.java:171)
	at org.eclipse.linuxtools.internal.rpm.ui.editor.RpmPackageProposalsList.<init>(RpmPackageProposalsList.java:58)
	at org.eclipse.linuxtools.internal.rpm.ui.editor.RpmPackageBuildProposalsJob.run(RpmPackageBuildProposalsJob.java:120)
	at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55)

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:13.669
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:13.669
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:14.202
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:14.202
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:15.504
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:15.504
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.equinox.registry 4 1 2017-03-31 09:59:18.706
!MESSAGE Unable to create the selected preference page.
!STACK 0
java.lang.ExceptionInInitializerError
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)
	at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:423)
	at java.lang.Class.newInstance(Class.java:442)
	at org.eclipse.core.internal.registry.osgi.RegistryStrategyOSGI.createExecutableExtension(RegistryStrategyOSGI.java:184)
	at org.eclipse.core.internal.registry.ExtensionRegistry.createExecutableExtension(ExtensionRegistry.java:905)
	at org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:243)
	at org.eclipse.core.internal.registry.ConfigurationElementHandle.createExecutableExtension(ConfigurationElementHandle.java:55)
	at org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:282)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage(WorkbenchPreferenceNode.java:48)
	at org.eclipse.jface.preference.PreferenceDialog.createPage(PreferenceDialog.java:1280)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.createPage(FilteredPreferenceDialog.java:355)
	at org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:1167)
	at org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(FilteredPreferenceDialog.java:608)
	at org.eclipse.jface.preference.PreferenceDialog$5.lambda$0(PreferenceDialog.java:656)
	at org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:70)
	at org.eclipse.jface.preference.PreferenceDialog$5.selectionChanged(PreferenceDialog.java:653)
	at org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:878)
	at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:42)
	at org.eclipse.ui.internal.JFaceUtil$1.run(JFaceUtil.java:50)
	at org.eclipse.jface.util.SafeRunnable.run(SafeRunnable.java:173)
	at org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:875)
	at org.eclipse.jface.viewers.StructuredViewer.setSelection(StructuredViewer.java:1729)
	at org.eclipse.jface.viewers.TreeViewer.setSelection(TreeViewer.java:1077)
	at org.eclipse.jface.viewers.Viewer.setSelection(Viewer.java:383)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$2.run(PreferenceInitializationDialog.java:387)
	at org.eclipse.oomph.ui.UIUtil$7.run(UIUtil.java:656)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.operation.ModalContext$ModalContextThread.block(ModalContext.java:165)
	at org.eclipse.jface.operation.ModalContext.run(ModalContext.java:369)
	at org.eclipse.jface.dialogs.ProgressMonitorDialog.run(ProgressMonitorDialog.java:481)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer.run(PreferenceInitializationDialog.java:345)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.jface.window.Window.runEventLoop(Window.java:818)
	at org.eclipse.jface.window.Window.open(Window.java:794)
	at org.eclipse.ui.internal.dialogs.WorkbenchPreferenceDialog.open(WorkbenchPreferenceDialog.java:211)
	at org.eclipse.oomph.setup.ui.recorder.PreferenceInitializationDialog$Initializer$2$1$2.run(PreferenceInitializationDialog.java:487)
	at org.eclipse.oomph.ui.UIUtil$5.run(UIUtil.java:567)
	at org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
	at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:182)
	at org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:4211)
	at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3827)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run(PartRenderingEngine.java:1121)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run(PartRenderingEngine.java:1022)
	at org.eclipse.e4.ui.internal.workbench.E4Workbench.createAndRunUI(E4Workbench.java:150)
	at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:693)
	at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:336)
	at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:610)
	at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:148)
	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:138)
	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)
	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:673)
	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:610)
	at org.eclipse.equinox.launcher.Main.run(Main.java:1519)
Caused by: java.lang.NullPointerException
	at org.eclipse.wb.internal.rcp.preferences.layout.FormLayoutPreferencePage.<clinit>(FormLayoutPreferencePage.java:67)
	... 71 more

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:19.649
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:19.649
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:20.479
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:20.479
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:20.941
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:20.941
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:21.573
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.number'

!ENTRY org.eclipse.jface.text 2 0 2017-03-31 09:59:21.573
!MESSAGE Duplicate template id: 'org.eclipse.wst.xslt.templates.xpath.round'